Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Class Capability

    java.lang.Object
      |
      +--org.apache.jetspeed.portlet.Capability

public class Capability
extends java.lang.Object

Instances of the `Capability` class correspond to particular properties which can be assigned to the client devices.

The class has only a private constructor, so that it is not possible to dynamically create objects of this class from outside the class. A set of predefined isntances (ie. capabilities) is provided.

Author:
  Thomas F. Boehme
See Also:
  `Client`

Field Summary
`static Capability` | `HTML_ACTIVE_X`
`static Capability` | `HTML_CSS1`
`static Capability` | `HTML_CSS2`
`static Capability` | `HTML_CSSP`
`static Capability` | `HTML_FORM`
`static Capability` | `HTML_FRAME`
`static Capability` | `HTML_IMAGE`
`static Capability` | `HTML_JAVA`
`static Capability` | `HTML_JAVA_1_0`
`static Capability` | `HTML_JAVA_1_1`
`static Capability` | `HTML_JAVA_1_2`
`static Capability` | `HTML_JAVASCRIPT`
`static Capability` | `HTML_JAVASCRIPT_1_0`
`static Capability` | `HTML_JAVASCRIPT_1_1`
`static Capability` | `HTML_JAVASCRIPT_1_2`
`static Capability` | `HTML_NESTED_TABLE`
`static Capability` | `HTML_TABLE`
`static Capability` | `HTTP_COOKIE`
`static Capability` | `WML_TABLE`

Method Summary
`boolean` | `equals(java.lang.Object object)` Returns whether this and the given object represent the same capability.
`java.lang.String` | `getIdentifier()` Returns the identifier of this capability.
`protected int` | `getValue()` Returns the integer value of this capability.
`int` | `hashCode()` Returns a hash code for this capability.
`java.lang.String` | `toString()` Returns the capability as a displayable string.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### HTML_JAVA

    public static final Capability HTML_JAVA

### HTML_JAVA_1_0

    public static final Capability HTML_JAVA_1_0

### HTML_JAVA_1_1

    public static final Capability HTML_JAVA_1_1

### HTML_JAVA_1_2

    public static final Capability HTML_JAVA_1_2

### HTML_JAVASCRIPT

    public static final Capability HTML_JAVASCRIPT

### HTML_JAVASCRIPT_1_0

    public static final Capability HTML_JAVASCRIPT_1_0

### HTML_JAVASCRIPT_1_1

    public static final Capability HTML_JAVASCRIPT_1_1

### HTML_JAVASCRIPT_1_2

    public static final Capability HTML_JAVASCRIPT_1_2

### HTML_TABLE

    public static final Capability HTML_TABLE

### HTML_NESTED_TABLE

    public static final Capability HTML_NESTED_TABLE

### HTML_FORM

    public static final Capability HTML_FORM

### HTML_FRAME

    public static final Capability HTML_FRAME

### HTML_IMAGE

    public static final Capability HTML_IMAGE

### HTML_ACTIVE_X

    public static final Capability HTML_ACTIVE_X

### HTML_CSS1

    public static final Capability HTML_CSS1

### HTML_CSS2

    public static final Capability HTML_CSS2

### HTML_CSSP

    public static final Capability HTML_CSSP

### WML_TABLE

    public static final Capability WML_TABLE

### HTTP_COOKIE

    public static final Capability HTTP_COOKIE

Method Detail

### hashCode

    public int hashCode()

  Returns a hash code for this capability.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hash code

### equals

    public boolean equals(java.lang.Object object)

  Returns whether this and the given object represent the same capability.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `object` - the object to compare with
  Returns:
    `true` if the objects represent the same capability,
    `false` otherwise

### toString

    public java.lang.String toString()

  Returns the capability as a displayable string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the displayable string

### getIdentifier

    public java.lang.String getIdentifier()

  Returns the identifier of this capability.

  Returns:
    the capability

### getValue

    protected int getValue()

  Returns the integer value of this capability.

  Returns:
    the integer value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.